[arch-commits] Commit in anjuta/trunk (PKGBUILD profiler_plugin.patch)

Jan de Groot jgc at archlinux.org
Tue Oct 14 02:30:59 EDT 2008


    Date: Tuesday, October 14, 2008 @ 02:30:59
  Author: jgc
Revision: 15514

upgpkg: anjuta 2.24.0.1-1

Modified:
  anjuta/trunk/PKGBUILD
Deleted:
  anjuta/trunk/profiler_plugin.patch

-----------------------+
 PKGBUILD              |   31 ++++++++++++++++---------------
 profiler_plugin.patch |   30 ------------------------------
 2 files changed, 16 insertions(+), 45 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-14 05:42:37 UTC (rev 15513)
+++ PKGBUILD	2008-10-14 06:30:59 UTC (rev 15514)
@@ -3,29 +3,30 @@
 # Contributor: Harley Laue <losinggeneration at yahoo.com>
 
 pkgname=anjuta
-pkgver=2.4.2
-pkgrel=2
+pkgver=2.24.0.1
+pkgrel=1
 pkgdesc="Anjuta Integrated Development Environment (IDE)"
 arch=('i686' 'x86_64')
 license=('GPL')
-depends=('autogen>=5.9.5' 'devhelp>=0.19.1' 'gnome-build>=0.2.4' 'vte>=0.16.13' 'graphviz>=2.18' 'subversion>=1.4.6-3' 'libgnomeprintui>=2.18.2' 'gtksourceview2>=2.2.1' 'glade>=3.4.5' 'gconf>=2.22.0' 'libxslt>=1.1.23')
-makedepends=('gnome-doc-utils>=0.12.0-1')
+depends=('autogen>=5.9.5' 'devhelp>=0.21' 'gnome-build>=2.24.0' 'vte>=0.17.4' 'graphviz>=2.18' 'subversion>=1.5.2' 'gtksourceview2>=2.4.0' 'glade>=3.5.2' 'libxslt>=1.1.23' 'desktop-file-utils')
+makedepends=('gnome-doc-utils>=0.14.0')
 url="http://anjuta.sourceforge.net/"
 install=anjuta.install
-source=(http://downloads.sourceforge.net/sourceforge/anjuta/anjuta-$pkgver.tar.bz2)  
+source=(ftp://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
 options=('!libtool' '!emptydirs')
-md5sums=('66dc5a9aeb051846f82715b1bed55e37')
+md5sums=('98cfa3707923c339b987f87f659d1e4f')
 
 build() {
-  cd ${startdir}/src/anjuta-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-plugin-subversion --enable-plugin-glade \
-		--enable-plugin-class-inheritance --enable-plugin-valgrind \
-		--enable-plugin-sourceview --disable-gtk-doc \
-		--enable-debug --disable-scrollkeeper || return 1
+  cd "${srcdir}/anjuta-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+    --enable-plugin-subversion --enable-plugin-glade \
+    --enable-plugin-class-inheritance --enable-plugin-valgrind \
+    --enable-plugin-sourceview --disable-gtk-doc \
+    --enable-debug --disable-scrollkeeper || return 1
   make || return 1
-  make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
    
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Deleted: profiler_plugin.patch
===================================================================
--- profiler_plugin.patch	2008-10-14 05:42:37 UTC (rev 15513)
+++ profiler_plugin.patch	2008-10-14 06:30:59 UTC (rev 15514)
@@ -1,30 +0,0 @@
---- trunk/plugins/profiler/gprof-call-graph-view.c	2007/09/10 06:43:02	3114
-+++ trunk/plugins/profiler/gprof-call-graph-view.c	2007/09/23 11:03:16	3153
-@@ -22,6 +22,7 @@
-  */
- 
- #include "gprof-call-graph-view.h"
-+#include <glib/gi18n-lib.h>
- 
- struct _GProfCallGraphViewPriv
- {
---- trunk/plugins/profiler/gprof-flat-profile-view.c	2007/09/10 06:43:02	3114
-+++ trunk/plugins/profiler/gprof-flat-profile-view.c	2007/09/23 11:03:16	3153
-@@ -22,6 +22,7 @@
-  */
- 
- #include "gprof-flat-profile-view.h"
-+#include <glib/gi18n-lib.h>
- 
- struct _GProfFlatProfileViewPriv
- {
---- trunk/plugins/profiler/gprof-function-call-tree-view.c	2007/09/10 06:43:02	3114
-+++ trunk/plugins/profiler/gprof-function-call-tree-view.c	2007/09/23 11:03:16	3153
-@@ -22,6 +22,7 @@
-  */
- 
- #include "gprof-function-call-tree-view.h"
-+#include <glib/gi18n-lib.h>
- 
- struct _GProfFunctionCallTreeViewPriv
- {




More information about the arch-commits mailing list